> For the complete documentation index, see [llms.txt](https://cetus-1.gitbook.io/cetus-developer-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://cetus-1.gitbook.io/cetus-developer-docs/developer/via-sdk-v2/sdk-modules/cetusprotocol-xcetus-sdk/contract-error-codes.md).

# Contract Error Codes

the Cetus smart contract may return the following error codes:

<table><thead><tr><th width="105.1910400390625">Module</th><th width="95.2880859375">Error Code</th><th width="268.240234375">Description</th><th>Contract Methods</th></tr></thead><tbody><tr><td>lock_coin</td><td>0</td><td>The lock time must be greater than the current time</td><td>lock_coin</td></tr><tr><td>lock_coin</td><td>1</td><td>The lock period has not ended</td><td>unlock_coin</td></tr><tr><td>locking</td><td>1</td><td>Insufficient XCetus balance</td><td>redeem_lock</td></tr><tr><td>locking</td><td>2</td><td>Locking period for XCetus is out of allowed range</td><td>redeem_lock</td></tr><tr><td>locking</td><td>3</td><td>Invalid redeemable XCetus amount</td><td>redeem_lock</td></tr><tr><td>locking</td><td>4</td><td>veNFT does not match the associated LockedCoin</td><td><p>cancel_redeem_lock, </p><p>redeem</p></td></tr><tr><td>locking</td><td>5</td><td>LockCoin has expired; locking has ended</td><td>cancel_redeem_lock</td></tr><tr><td>locking</td><td>7</td><td>Unauthorized treasury manager</td><td>redeem_treasury</td></tr><tr><td>locking</td><td>8</td><td>The version of the contract has been deprecated</td><td>The vast majority of methods</td></tr><tr><td>xcetus</td><td>1</td><td>XCetus balance is not zero</td><td>burn_venft</td></tr><tr><td>xcetus</td><td>5</td><td>The address already has a VeNFT</td><td>burn_lp</td></tr><tr><td>xcetus</td><td>6</td><td>XCetus in unlocking process is not zero</td><td>request_transfer_venft_by_admin, approve_transfer_venft, mint_venft</td></tr><tr><td>xcetus</td><td>7</td><td>VeNFT does not exist</td><td>approve_transfer_venft</td></tr><tr><td>xcetus</td><td>8</td><td>Transfer request already exists</td><td>request_transfer_venft_by_admin</td></tr><tr><td>xcetus</td><td>9</td><td>Transfer request does not exist</td><td>approve_transfer_venft, cancel_transfer_venft_request_by_admin</td></tr><tr><td>xcetus</td><td>10</td><td>TransferVeNFTRequest does not match the VeNFT</td><td>approve_transfer_venft</td></tr><tr><td>xcetus</td><td>11</td><td>The destination address is inconsistent with the one in TransferVeNFTRequest</td><td>approve_transfer_venft</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://cetus-1.gitbook.io/cetus-developer-docs/developer/via-sdk-v2/sdk-modules/cetusprotocol-xcetus-sdk/contract-error-codes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
